clash-lib-1.8.4: Clash: a functional hardware description language - As a library

Copyright | (C) 2018 Google Inc. 2022 LUMI GUIDE FIETSDETECTIE B.V.
License | BSD2 (see the file LICENSE)
Maintainer | Christiaan Baaij <christiaan.baaij@gmail.com>
Safe Haskell | None
Language | Haskell2010

Clash.Annotations.BitRepresentation.ClashLib

Description

Houses internal BitRepresentation code which cannot be housed in clash-prelude due to its dependencies.

Synopsis

- coreToType' :: Type -> Either String Type'
- bitsToBits :: [Bit] -> [Bit]

# Documentation

coreToType' Source #

Arguments

:: Type | Type to convert to bit representation type
-> Either String Type' |

bitsToBits :: [Bit] -> [Bit] Source #

Converts a list of BitRepresentation.Bits to their Netlist counterpart.